#!/bin/sh

mkdir -p tools
cd tools || exit 1

# http://lha.sourceforge.jp/
if which lha 2>/dev/null; then
    echo "lha: installed."
else
    if [ ! -f lha-1.14i-ac20050924p1.tar.gz ]; then
	wget http://osdn.dl.sourceforge.jp/lha/22231/lha-1.14i-ac20050924p1.tar.gz
    fi
fi

# http://www.xlsoft.com/jp/products/indigorose/autoplay_readme_02.html
if [ ! -f ttsdk.zip ]; then
    wget http://www.xlsoft.com/jp/products/indigorose/files/ttsdk.zip
fi

# http://hp.vector.co.jp/authors/VA027283/ttfmod/index.html
if [ ! -f ttfmod-0.0.2.lzh ]; then
    wget http://hp.vector.co.jp/authors/VA027283/ttfmod/ttfmod-0.0.2.lzh
fi

# http://web1.nazca.co.jp/hp/nzkchicagob/m5r4157/mretc6gb.html
if [ ! -f ttfname3.zip ]; then
    wget http://web1.nazca.co.jp/hp/nzkchicagob/m5r4157/xttf6fb/ttfname3.zip
fi
