#!/usr/bin/perl

use strict;

sub chfn {
    my $ifile = shift;
    (my $ofile = $ifile) =~ s/\.xml$/_mod.xml/;
    open(my $ifh, $ifile) or die "Can't open $ifile ($!)";
    open(my $ofh, ">", $ofile) or die "Can't open $ofile ($!)";
    local $_;
    my $modify = 0;
    while (<$ifh>) {
	if (/<!-- (\w+) -->/) {
	    if ($1 =~ /^(Family|UniqueIdentifier|FullName)$/) {
		$modify = 1;
	    } else {
		$modify = 0;
	    }
	} elsif ($modify) {
	    s@(</T>)@NB$1@;
	}
	print $ofh $_;
    }
    close($ofh);
    close($ifh);
}

sub main {
    foreach my $ifile (@ARGV) {
	chfn($ifile);
    }
}

main;
